---
title: Knowldegebase and Document Management using Wiki
heading: Knowldegebase and Document Management using Wiki
subtitle:
permalink: /wiki/
icons: true
image: wikis-bg.jpg
description: Knowledge base and document management using Mediawiki software.
---

<p class="full">Internal document management and Knowledgebase managent are crucial for the smooth working of companies and organizations. To manage a good feature complete and updated Knowledgebase is always a challange for a project team. Wiki is the best solution for managing this kind of work and considered as the best way for online collaboration. Wiki is a recognized platform where individuals can share their expertise and ideas about a specific topic. The flexibility of a wiki is that it keeps track of every changes in every pages and have the ability to go back to any previous version of the document. It helps to maintain an updated knowledge base in a very simple way. It is simple, flexibile and accessible to all members in a team. So a wiki is a necessary tool for every Company, Organization or Government who wish to get updated documentation about thier projects and activities.</p>

<h2>Features of a Wiki</h2>
<div class="divider-holder"><div class="divider-line" ></div></div>

<ul class="prlist">    
    <li>Full featured front-end editor - No coding knowledge needed to update pages</li>
    <li>Revision system - Track and review the changes happened to content </li>
    <li>Publishing Capabilities - Publish a complete documentation system</li>
    <li>Collaboration - A group of people can participate in development of documentation</li>
    <li>Strong Linking system - Very easy to make interlinked documents with live preview</li>
    <li>Good categorization based on topic - Very easy to manage knowledge in categorized way</li>
    <li>Good Access control system - Configurable access controls based upon user levels</li>
</ul>

<p class="full">We use Mediawiki to build and maintain Knowledgebase and document management system. Mediawiki is the software behind Wikipedia, world's most popular encyclopeida. Mediawiki is very easy to host and maintain also powerfull frontend tools for editing pages.</p>
    
<h2>Wikis we Maintain</h2>
<div class="divider-holder"><div class="divider-line" ></div></div>

<p class="full">We maintain various wikis built using Mediawiki. We added necessary extensions into the wiki platform to make it easier to run and maintain. We created some gadgets and user scripts for this purpose.</p>

<h3>Parishad Wiki</h3>
<p class="full"><a href="http://wiki.kssp.in" target="_blank">Parishad wiki</a> is a wiki created for Kerala Sasthra Sahithya Parishad. This wiki is used for the documentation of the history of the organization. It is also used to document various events and camapigns organized by KSSP. Also it holds the information about the books and leaflets published by KSSP.</p>

<h3>School Wiki</h3>
<p class="full"><a href="http://schoolwiki.in" target="_blank">School wiki</a> is a wiki created by KITES (Kerala Infrastructure and Technology for Education). KITES is a Govt of Kerala establishment set up to foster, promote and implement modernisation of educational institutions in the State of Kerala, owned by the State or run under the aid of Government. This wiki is used to document the schools recognized by Education Department in Kerala. Students and teachers editing the pages of school wiki and adding information and programmes happened in the respective school. We are administrating this wiki and doing automated editing work using various bot programmes.</p>

<h3>FSCI Wiki</h3>
<p class="full"><a href="http://wiki.fsci.org.in" target="_blank">FSCI wiki</a> is a wiki created by Free Software Community of India. FSCI is an umbrella to connect various disconnected Free Software communities in India and to co-ordinate Free Software related activities across India. This wiki hosts the documents, activities and information about the Free software communities across India. We are doing a part of administration in this wiki. Our team maintains the information structure in this wiki.</p>

<h3>Panchayat Wiki</h3>
<p class="full"><a href="https://web.archive.org/web/20190527032909/http://panchayatwiki.com:80/%E0%B4%AA%E0%B5%8D%E0%B4%B0%E0%B4%A7%E0%B4%BE%E0%B4%A8_%E0%B4%A4%E0%B4%BE%E0%B5%BE#">Panchayat wiki</a> is a wiki created by RGSA PMU, Department of Panchayat, Govt. of Kerala. This wiki is used to document the act and rules of LSGI Department, Govt. of Kerala. LSGI Dept. is administrating and maintaining this wiki. We setup and built this wiki for RGSA PMU. This wiki is undergoing security audit for the official launch now.</p>
